const electron = require('electron');
const connect = require('connect');
const serveStatic = require('serve-static');
const portfinder = require('portfinder');
const shell = require('electron').shell;
const app = electron.app;
const BrowserWindow = electron.BrowserWindow;

var mainWindow = null;

// Quit when all windows are closed.
app.on('window-all-closed', function() {
  app.quit();
});

app.on('ready', function() {
  mainWindow = new BrowserWindow({
    width: 800,
    height: 600,
    minWidth: 800,
    minHeight: 600,
    title: 'Tour Launcher', 
    autoHideMenuBar: true,
    useContentSize: true
  });
  //Prevent link with target=blank to create an empty window
  mainWindow.webContents.on('new-window', function(event, url){
      if(url != mainWindow.webContents.getURL()) {
        event.preventDefault();
        shell.openExternal(url);
      }
  });
  mainWindow.maximize();
  mainWindow.focus();
  portfinder.getPort({'host': 'localhost'}, function (err, port) {
    connect().use(serveStatic(__dirname)).listen(port, "localhost");

      mainWindow.loadURL("http://localhost:" + port + "/index.htm?disable-background-preload=true&force_audio=html5");
  });
  
});
